NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricAnalysis.GeometricProperties Class Reference

Represents the Geometric Properties class. More...

Inheritance diagram for NXOpen.GeometricAnalysis.GeometricProperties:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  CaeCurve
 CAE Edge/Curve Geometric Properties More...
 
struct  CaeFace
 CAE Face Geometric Properties More...
 
struct  Edge
 Edge/Curve Geometric Properties More...
 
struct  Face
 Face Geometric Properties More...
 

Public Types

enum  Entity { Face, Edge, CaeFace, CaeCurve }
 Type of input entity for geometric properties. More...
 
enum  OutputType { Dynamic, Static }
 Represents how to output geometric properties. More...
 
enum  Status { Success, InvalidInput, Failed }
 Status of computing geometric properties. More...
 

Public Member Functions

unsafe
NXOpen.GeometricAnalysis.GeometricProperties.Status 
GetCaeCurveProperties (NXOpen.NXObject entityTag, NXOpen.Point3d absPoint, out NXOpen.GeometricAnalysis.GeometricProperties.CaeCurve caeCurve)
 Returns CAE curve local properties at the given point More...
 
unsafe
NXOpen.GeometricAnalysis.GeometricProperties.Status 
GetCaeFaceProperties (NXOpen.NXObject entityTag, NXOpen.Point3d absPoint, out NXOpen.GeometricAnalysis.GeometricProperties.CaeFace caeFace)
 Returns CAE face local properties at the given point More...
 
unsafe
NXOpen.GeometricAnalysis.GeometricProperties.Status 
GetEdgeProperties (NXOpen.NXObject entityTag, NXOpen.Point3d absPoint, out NXOpen.GeometricAnalysis.GeometricProperties.Edge edge)
 Returns edge/curve local properties at the given point More...
 
unsafe
NXOpen.GeometricAnalysis.GeometricProperties.Status 
GetFaceProperties (NXOpen.NXObject entityTag, NXOpen.Point3d absPoint, out NXOpen.GeometricAnalysis.GeometricProperties.Face face)
 Returns face local properties at the given point More...
 
unsafe
NXOpen.GeometricAnalysis.GeometricProperties.Status 
ListProperties (NXOpen.NXObject entityTag, NXOpen.Point3d absPoint)
 Displays the local properties of the specified object at the given point in the listing window More...
 
unsafe
NXOpen.GeometricAnalysis.GeometricProperties.Status 
ListProperties (NXOpen.Point3d absPoint)
 Displays the local properties of ObjectsForAnalysis at the given point in the listing window. More...
 
unsafe void Reset ()
 Clears all markers showing the local geometric properties in the graphics window More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectObjectList ObjectsForAnalysis [get]
 Returns the Objects for analysis More...
 
unsafe
NXOpen.GeometricAnalysis.GeometricProperties.OutputType 
OutputMethod [get, set]
 Returns or sets the output method More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents the Geometric Properties class.

This class can be used to find local geometric properties of faces, edges, curves, CAE faces, and CAE edges/curves at a given point.

To create a new instance of this class, use NXOpen.GeometricAnalysis.AnalysisManager.CreateGeometricPropertiesObject

Created in NX5.0.0

Member Enumeration Documentation

Type of input entity for geometric properties.

Enumerator
Face 

Face

Edge 

Either a modeling edge or a curve.

CaeFace 

CAE Face

CaeCurve 

CAE Curve

Represents how to output geometric properties.

GeometricAnalysis.GeometricProperties.OutputType.Dynamic displays the properties of an entity under the cursor when NX is run interactively.

Enumerator
Dynamic 

Properties of an entity are displayed first on the dialog itself on mouse over.

These properties are listed on in the information window upon selection of a point.

Static 

Propeties of the selected entities are displayed in the information window.

Status of computing geometric properties.

Enumerator
Success 

Success

InvalidInput 

Input specified is not valid.

Failed 

Failed to find all geometric properties

Member Function Documentation

unsafe NXOpen.GeometricAnalysis.GeometricProperties.Status NXOpen.GeometricAnalysis.GeometricProperties.GetCaeCurveProperties ( NXOpen.NXObject  entityTag,
NXOpen.Point3d  absPoint,
out NXOpen.GeometricAnalysis.GeometricProperties.CaeCurve  caeCurve 
)
inline

Returns CAE curve local properties at the given point

Created in NX5.0.0

License requirements: None.

Parameters
entityTagNXObject to obtain the properties for
absPointAbsolute point co-ordinates of the reference point to compute the properties
caeCurveCAE Edge/Curve Properties
Returns
Return status
unsafe NXOpen.GeometricAnalysis.GeometricProperties.Status NXOpen.GeometricAnalysis.GeometricProperties.GetCaeFaceProperties ( NXOpen.NXObject  entityTag,
NXOpen.Point3d  absPoint,
out NXOpen.GeometricAnalysis.GeometricProperties.CaeFace  caeFace 
)
inline

Returns CAE face local properties at the given point

Created in NX5.0.0

License requirements: None.

Parameters
entityTagNXObject to obtain the properties for
absPointAbsolute point co-ordinates of the reference point to compute the properties
caeFaceCAE Face Properties
Returns
Return status
unsafe NXOpen.GeometricAnalysis.GeometricProperties.Status NXOpen.GeometricAnalysis.GeometricProperties.GetEdgeProperties ( NXOpen.NXObject  entityTag,
NXOpen.Point3d  absPoint,
out NXOpen.GeometricAnalysis.GeometricProperties.Edge  edge 
)
inline

Returns edge/curve local properties at the given point

Created in NX5.0.0

License requirements: None.

Parameters
entityTagNXObject to obtain the properties for
absPointAbsolute point co-ordinates of the reference point to compute the properties
edgeEdge/Curve Properties
Returns
Return status
unsafe NXOpen.GeometricAnalysis.GeometricProperties.Status NXOpen.GeometricAnalysis.GeometricProperties.GetFaceProperties ( NXOpen.NXObject  entityTag,
NXOpen.Point3d  absPoint,
out NXOpen.GeometricAnalysis.GeometricProperties.Face  face 
)
inline

Returns face local properties at the given point

Created in NX5.0.0

License requirements: None.

Parameters
entityTagNXObject to obtain the properties for
absPointAbsolute point co-ordinates of the reference point to compute the properties
faceFace Properties
Returns
Return status
unsafe NXOpen.GeometricAnalysis.GeometricProperties.Status NXOpen.GeometricAnalysis.GeometricProperties.ListProperties ( NXOpen.NXObject  entityTag,
NXOpen.Point3d  absPoint 
)
inline

Displays the local properties of the specified object at the given point in the listing window

Created in NX5.0.0

License requirements: None.

Parameters
entityTagNXObject to obtain the properties for
absPointAbsolute point co-ordinates of the reference point to compute the properties
Returns
Return status
unsafe NXOpen.GeometricAnalysis.GeometricProperties.Status NXOpen.GeometricAnalysis.GeometricProperties.ListProperties ( NXOpen.Point3d  absPoint)
inline

Displays the local properties of ObjectsForAnalysis at the given point in the listing window.

Created in NX5.0.0

License requirements: None.

Parameters
absPointAbsolute point co-ordinates of the reference point to compute the properties
Returns
Return status
unsafe void NXOpen.GeometricAnalysis.GeometricProperties.Reset ( )
inline

Clears all markers showing the local geometric properties in the graphics window

Created in NX5.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.SelectObjectList NXOpen.GeometricAnalysis.GeometricProperties.ObjectsForAnalysis
get

Returns the Objects for analysis

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricAnalysis.GeometricProperties.OutputType NXOpen.GeometricAnalysis.GeometricProperties.OutputMethod
getset

Returns or sets the output method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.